/* Common */
p {
  margin: 0;
}

.container {
  display: flex;
  flex-direction: column;
}

.separator {
  margin: 0;
  background-color: #828282;
  height: 1px;
  border: 0;
}

/* Header */
.header {
  display: flex;
}

.profile {
  display: flex;
  flex-direction: column;
}

.profile__name {
  margin: 0;
  line-height: 1;
  font-weight: bold;
}

.profile__subtitle {
  margin: 4px 0 0;
  line-height: 1.5;
  color: #828282;
}

.profile__description {
  line-height: 1.5;
  font-weight: 500;
}

.profile__links {
  display: flex;
  gap: 32px;
}

/* Timeline */
.timeline {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.timeline__title {
  margin: 0;
  text-align: center;
  font-weight: bold;
}

.timeline__container {
  position: relative;
}

.timeline__center-line {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 2px;
  height: 100%;
  background-color: black;
}

.timeline__center-line::before,
.timeline__center-line::after {
  content: "";
  position: absolute;
  width: 16px;
  height: 2px;
  left: 50%;
  transform: translateX(-50%);
  background-color: black;
}

.timeline__center-line::after {
  bottom: 0;
}

.timeline__items {
  display: flex;
  flex-direction: column;
  gap: 64px;
  padding: 32px 0;
}

.timeline__item {
  display: flex;
  align-items: center;
  gap: 16px;
}

.timeline__item--reverse {
  flex-direction: row-reverse;
}

.timeline__year {
  flex: 1;
  text-align: right;
  font-weight: bold;
}

.timeline__item--reverse .timeline__year {
  text-align: left;
}

.timeline__point {
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background-color: black;
}

.timeline__content {
  flex: 1;
}

/* Footer */
.copyright {
  font-size: 16px;
  color: #828282;
  text-align: center;
}

/* PC */
@media screen and (min-width: 1024px) {
  body {
    padding: 128px 64px;
    max-width: 1440px;
    margin: 0 auto;
  }

  .container {
    gap: 96px;
  }

  .header {
    justify-content: space-between;
    gap: 64px;
  }

  .profile {
    gap: 64px;
  }

  .profile__description {
    font-size: 18px;
  }

  .profile__name {
    font-size: 48px;
  }

  .profile__subtitle {
    font-size: 20px;
  }

  .timeline__title {
    font-size: 32px;
  }

  .timeline__year {
    font-size: 30px;
  }

  .timeline__content {
    font-size: 18px;
  }
}

/* SP */
@media screen and (max-width: 1023px) {
  body {
    padding: 32px 16px;
  }

  .container {
    gap: 64px;
  }

  .header {
    flex-direction: column-reverse;
    align-items: center;
    gap: 32px;
  }

  .profile {
    gap: 32px;
  }

  .profile__short-info {
    text-align: center;
  }

  .profile__description {
    font-size: 16px;
  }

  .profile__links {
    justify-content: center;
  }

  .profile__name {
    font-size: 32px;
  }

  .profile__subtitle {
    font-size: 16px;
  }

  .timeline__title {
    font-size: 24px;
  }

  .timeline__year {
    font-size: 20px;
  }

  .timeline__content {
    font-size: 16px;
  }
}
